<?php
//include("pre-pagina");

//No hacemos nada si no está  todo correcto
if ($todo_correcto){
?>
		<script language="javascript1.5" type="text/javascript">
        var direccion_empresa = "<?=Shop::$configuracion->url?>";
		
		/*-----------------------------------------------------------------------*/
		/*-----Recalculamos los escaparates en los que esté el artículo-----------*/
		/*-----------------------------------------------------------------------*/
		function recalcular_numero_elementos_escaparate(escaparate){
			//Vamos a ver cuantos elementos tiene cada escaparate
			var url = direccion_empresa + "admin/comunes/obtener_cantidad_escaparates_articulo.php";
			var parametros = "escaparate=" + escaparate;
			var funcion = function(texto){
				//Vamos a ver si el texto que hemos recibido tiene la cadena de correcto
				texto = texto.split(" ");
				if (texto[0] == "CORRECTO"){
					$('li[id ^= ' + escaparate + '_] span').each(function(){
						var nombre = $(this).html();
						var numero_suscritos = nombre.split("/")[1].split(")")[0];
						nombre = "(" + texto[1] + "/" + numero_suscritos + ")";
						$(this).html(nombre);
						$('li[id ^= ' + escaparate + '_]').attr("id", escaparate + "_" + texto[1] + "_" + numero_suscritos);
						mostrar_ocultar_vacios();
					});
				}
			};
			realizar_solicitud(url, parametros, funcion);
		}
		
		/*-----------------------------------------------------------------------*/
		/*-----Recalculamos los escaparates en los que esté el artículo----------*/
		/*-----------------------------------------------------------------------*/
		function recalcular_numero_elementos(articulo){
			//Vamos a ejecutar un php que nos dice en qué escaparates está el producto
			var url = direccion_empresa + "admin/comunes/obtener_escaparates_articulo.php";
			var parametros = "articulo=" + articulo;
			var funcion = function(texto){
				//Vamos a ver si el texto que hemos recibido tiene la cadena de correcto
				texto = texto.split(" ");
				if (texto[0] = "CORRECTO"){
					//Vamos a ejecutar la consulta de cantidad por cada escaparate
					for (var i = 1; i < texto.length; i++){
						recalcular_numero_elementos_escaparate(texto[i]);
					}
				}
			};
			realizar_solicitud(url, parametros, funcion);
		}
		
		/*-----------------------------------------------------------------------*/
		/*----------------------- FUNCIONES DEL NEWSLETTER ----------------------*/
		/*-----------------------------------------------------------------------*/
		function mostrar_ocultar_vacios(){
			//Según el estado hacemos una cosa u otra
			if (estado == 1){
				$("li").each(function(){
					var identificador = $(this).attr("id");
					identificador = identificador.split("_");
					if (identificador[2] == 0){
						$(this).hide();
					}else{
						$(this).show();
					}
				});
				$("#mostrar_suscripciones a").attr("class", "mostrar_todo");
				$("#mostrar_suscripciones a").html("Mostrar todo");
			}else{
				$("li").show();
				$("#mostrar_suscripciones a").attr("class", "ocultar_vacias");
				$("#mostrar_suscripciones a").html("Ocultar vacías");
			}
		}
		
		/*-----------------------------------------------------------------------*/
		/*--------------------Ejecutar consulta a un fichero php-----------------*/
		/*-----------------------------------------------------------------------*/
        function listener_desasociar(){
            //Botón para seleccionar o des-seleccionar productos
            $(".deseleccionar_producto").click(function(){
                //Cogemos una serie de variables que vamos a necesitar indpendientemente de que estemos seleccionando o deseleccionando
                var articulo = $(this).attr("id");
                articulo = articulo.split("_");
                articulo = articulo[1];
                $("#cargando_" + articulo).show();
                $("#transparente_" + articulo).show();
                var contenido = $(this).html();
                var url = direccion_empresa + "admin/comunes/mod_estado_suscrip_arti.php";
                var parametros = "articulo=" + articulo + "&accion=";
                var funcion = function(texto){};
                var boton = $(this);
                if (contenido == "deseleccionar"){
                    //Hay que des-seleccionar el producto
                    parametros += "2";
                    funcion = function(texto){
                        if (texto == "CORRECTO"){
                            //Cambiamos la palabra del enlace
                            boton.html("seleccionar");
                            //Cambiamos la clase de la capa que contiene al artículo
                            $("#articulo_" + articulo).attr("class", "enviado");
                            //Hay que restar uno en el menú
                            recalcular_numero_elementos(articulo);
                            //Ahora ocultamos las capas del loading
                            $("#cargando_" + articulo).hide();
                            $("#transparente_" + articulo).hide();
                        }
                    }
                }else{
                    //Hay que seleccionar el producto
                    parametros += "1";
                    funcion = function(texto){
                        if (texto == "CORRECTO"){
                            //Cambiamos la palabra del enlace
                            boton.html("deseleccionar");
                            //Cambiamos la clase de la capa que contiene al artículo
                            $("#articulo_" + articulo).attr("class", "articulo_seleccionado");
                            //Hay que sumar uno en el menú
                            recalcular_numero_elementos(articulo);
                            //Ahora ocultamos las capas del loading
                            $("#cargando_" + articulo).hide();
                            $("#transparente_" + articulo).hide();
                        }
                    }
                }
                realizar_solicitud(url, parametros, funcion);
            });
        }
        
		/*-----------------------------------------------------------------------*/
		/*---------------------Quitamos el que esté activo ahora-----------------*/
		/*-------------------- E indicamos cual debería estar activo-------------*/
		/*-----------------------------------------------------------------------*/
        function calcula_li_activo(escaparate){
            $('li[class *= activo]').each(function(){
                var cadena_nombre = $(this).attr("class").split(" ");
                cadena_nombre.splice((cadena_nombre.length)-1, 1);
                cadena_nombre = cadena_nombre.toString();
                cadena_nombre = cadena_nombre.replace(",", " ");
                $(this).attr("class", cadena_nombre);
            });
            //Al seleccionado le anadimos la cadena " activo"
            $('li[id ^= ' + escaparate + '_]').each(function(){
                $(this).attr("class", $(this).attr("class") + " activo");
            });
        }
		
        /*-----------------------------------------------------------------------*/
		/*-------------------- Preguntamos si enviar los emails -----------------*/
		/*-----------------------------------------------------------------------*/
        function pregunta_envia_emails(){
			if (confirm("¿Desea enviar los emails pendientes?")){
				document.location = '<?=Shop::$configuracion->url;?>admin/newsletter_tema.php';
			}else{
				return(false);
			}
		}
		
        var estado = "0";//==> 0 = Mostrar todo || 1 = Ocultar los que no tienen na
        //Variables a utilizar para el control de la cuadrícula central
        var escaparate_activo = 0;
        var pagina = 0;
        var quitar_enviados = 0;
        $(document).ready(function(){
            //Filtro para ver u ocultar los escaparates que no contengan productos o clientes suscritos
            $("#mostrar_suscripciones a").click(function(){
                estado = (estado == 0) ? 1 : 0;
                mostrar_ocultar_vacios();
            });
            //Ahora con cada li vamos a asociar su href con el escaparate en cuestión
            $("li").each(function(){
                var identificador = $(this).attr("id");
                identificador = identificador.split("_");
                var escaparate = identificador[0];
                var url = direccion_empresa + "admin/comunes/cuadricula_articulos.php";
                var parametros = "escaparate=" + escaparate + "&pagina=0";
                var funcion = function(contenido){
                    $(".loading").hide();
                    $("#lista_completa").html(contenido);
                    listener_desasociar();
                };
                $(this).click(function(){
                    $("#lista_completa").html("");
                    $(".loading").show();
                    realizar_solicitud(url, parametros + "&quitar_enviados=" + quitar_enviados, funcion);
                    //Vamos a indicar que escaparate está activo
                    calcula_li_activo(escaparate);
                });
            });
            //Vamos a añadir la posibilidad de filtrar los enviados
            $("#quitar_enviados").change(function(){
                var url = direccion_empresa + "/admin/comunes/cuadricula_articulos.php";
                var parametros = "escaparate=" + escaparate_activo + "&pagina=" + pagina;
                var funcion = function(contenido){
                    $(".loading").hide();
                    $("#lista_completa").html(contenido);
                    listener_desasociar();
                };
                $("#lista_completa").html("");
                $(".loading").show();
                if ($(this).is(":checked")){
                    parametros += "&quitar_enviados=1";
                    quitar_enviados = 1;
                }else{
                    parametros += "&quitar_enviados=0";
                    quitar_enviados = 0;
                }
                realizar_solicitud(url, parametros, funcion);
            });
            //Listener para el botón de desasociar
            listener_desasociar();
        });
        </script>
        <div id="opciones_top">
            <div id="volver"><p><a href="<?=Shop::$configuracion->url;?>admin" class="back_btn"><span>Volver</span></a></p></div>
   	 	</div>
<?php
		//Vamos a cargar la lista de artículos
		$pagina = dame_valor_variable_global("pagina", 0);
		$busqueda_realizada = dame_valor_variable_global("busqueda", false);
		$txt_nombre = dame_valor_variable_global("nombre", "");
		$txt_autor = dame_valor_variable_global("autor", "");
		$txt_editorial = dame_valor_variable_global("editorial", "");
		$txt_ean = dame_valor_variable_global("ean", "");
		$txt_checks1 = dame_valor_variable_global("normal_envio", "");
		$txt_checks2 = dame_valor_variable_global("pendiente_envio", "");
		$txt_checks3 = dame_valor_variable_global("enviado_envio", "");
		$mod_estado = dame_valor_variable_global("mod_estado", "");
		//Si hay que modificar el estado de los artículos ejecutamos el siguiente código
		if ($mod_estado != "") {
			$lista_select = $_POST['select'];
			$lista_select = " ( " . implode(",", $lista_select) . " ) ";
			$insert_sql = "UPDATE articulo SET pendiente_envio = $mod_estado WHERE codigo IN $lista_select";
			//echo($insert_sql);
			mysqli_query($insert_sql, $conexionBD);
		}
?>
        <div class="art-postcontent">
            <div id="contenido_suscripcion">
                <h1>Suscripciones</h1>
                <div id="izq">
                    <a href="javascript:pregunta_envia_emails();">Enviar <span></span></a>
                </div> 
                <div id="filtrado">
                        <input type="checkbox" id="quitar_enviados" name="enviados"/>
                        Quitar enviados<br />
                </div>
                <div id="mostrar_suscripciones"><a href="javascript:void(0);" class="ocultar_vacias" >Ocultar vac&iacute;as</a></div>
                <div id="menu_escaparates">
                <ul>
                	<span>( Articulos / Usuarios )</span>                    	
<?php
				$escaparate_principal="0";
				$class="";
                //Vamos a componer la select de los de los escaparates
                $sentencia_esca_padre = "SELECT codigo, nombre, estilo_seleccionado, estilo_no_seleccionado, descripcion
                FROM (cescaparate LFT JOIN traducesca on codigo = escaparate)
                WHERE (activo = 1)
                AND (escaparate_padre = 0)
                ORDER BY orden ASC";
				//echo ($sentencia_esca_padre);
				if ($resultado = mysqli_query($conexionBD, $sentencia_esca_padre)){
					//y mostramos el escaparate
					//echo ($sentencia_sql);
					while( $fila = mysqli_fetch_array($resultado) ){
						if($escaparate_principal=="0"){
							$escaparate_principal=$fila['codigo'];
?>
							<script type="text/javascript" language="javascript1.5">escaparate_activo = <?=$escaparate_principal;?>;</script>
<?php
							$class=" activo";
						} else{
							$class="";
						}
						$escaparate=$fila['codigo'];
						//contamos el numero de articulos que hay en este escaparate
						$campos = "articulo.codigo";
		$sentencia_sql = 'SELECT "A", orden, 0,';
		$sentencia_sql.= "$campos
						FROM ((articulo LEFT JOIN traducarti ON articulo.codigo = traducarti.articulo)
						 LEFT JOIN familia ON articulo.familia = familia.codigo),
							lescaparate
						WHERE (articulo.codigo = lescaparate.articulo)
						AND (cescaparateweb = $escaparate)
						AND (articulo.no_web = 0)
						AND (lescaparate.visible = 1)
						AND (articulo.pendiente_envio_suscripcion = 1)
						UNION\n";
		$sentencia_sql.='SELECT "B", 0, articulo.fecha_alta, ';
		$sentencia_sql.="$campos
						FROM familiasesca, ((articulo LEFT JOIN traducarti ON articulo.codigo = traducarti.articulo)
						 LEFT JOIN familia ON articulo.familia = familia.codigo)
						WHERE (familiasesca.escaparate = $escaparate)
						AND (articulo.familia = familiasesca.familia)
						AND (articulo.no_web = 0)
						AND (articulo.pendiente_envio_suscripcion = 1)
						UNION\n";
		$sentencia_sql.='SELECT "B", 0, articulo.fecha_alta, ';
		$sentencia_sql.="$campos
						FROM temasesca, temasarti, ((`articulo` LEFT JOIN traducarti ON articulo.codigo = traducarti.articulo)
						 LEFT JOIN familia ON articulo.familia = familia.codigo)
						WHERE (escaparate = $escaparate)
						AND (temasarti.tema = temasesca.tema)
						AND (temasarti.articulo = articulo.codigo)
						AND (articulo.no_web = 0)
						AND (articulo.pendiente_envio_suscripcion = 1)";
						
						$sentencia="SELECT COUNT( * ) FROM ($sentencia_sql) consulta";
						//echo $sentencia;
						$r = mysqli_query($conexionBD, $sentencia);
						$numero_articulos = mysqli_fetch_array($r);
					
						
						$sentencia_sql="";
						$sentencia_contar_subcritos="SELECT COUNT( * ) FROM (SELECT `codigo` FROM `suscrip_esca` WHERE `cescaparate`=$escaparate) consulta";
						$r_suscripciones = mysqli_query($conexionBD, $sentencia_contar_subcritos);
						$numero_suscritos = mysqli_fetch_array($r_suscripciones);
						if($numero_articulos[0]>0 && $numero_suscritos[0]>0){
							echo '<li class="padre si'.$class.'" id="'.$escaparate.'_'.$numero_articulos[0].'_'.$numero_suscritos[0].'">';
						}else{
							echo '<li class="padre'.$class.'" id="'.$escaparate.'_'.$numero_articulos[0].'_'.$numero_suscritos[0].'">';
						}
?>
                        	<a href="javascript:void(0);"><?=$fila['nombre'];?></a><span>(<?=$numero_articulos[0];?>/<?=$numero_suscritos[0];?>)</span>
                        </li>
<?php
						$sentencia_esca= "SELECT codigo, nombre, estilo_seleccionado, estilo_no_seleccionado, descripcion
						FROM (cescaparate LFT JOIN traducesca on codigo = escaparate)
						WHERE (activo = 1)
						AND (escaparate_padre = ".$fila['codigo'].")
						ORDER BY orden ASC";
						//echo ($sentencia_esca);
						$resul = mysqli_query($conexionBD, $sentencia_esca);
						while( $hijos = mysqli_fetch_array($resul) ){
									$escaparate=$hijos['codigo'];
						$campos = "articulo.codigo";
		$sentencia_sql = 'SELECT "A", orden, 0,';
		$sentencia_sql.= "$campos
						FROM ((articulo LEFT JOIN traducarti ON articulo.codigo = traducarti.articulo)
						 LEFT JOIN familia ON articulo.familia = familia.codigo),
							lescaparate
						WHERE (articulo.codigo = lescaparate.articulo)
							AND (cescaparateweb = $escaparate)
							AND (articulo.no_web = 0)
							AND (lescaparate.visible =1)
							AND (articulo.pendiente_envio_suscripcion = 1)
						UNION\n";
		$sentencia_sql.='SELECT "B", 0, articulo.fecha_alta, ';
		$sentencia_sql.="$campos
						FROM familiasesca, ((articulo LEFT JOIN traducarti ON articulo.codigo = traducarti.articulo)
						 LEFT JOIN familia ON articulo.familia = familia.codigo)
						WHERE (familiasesca.escaparate = $escaparate)
						AND (articulo.familia = familiasesca.familia)
						AND (articulo.no_web = 0)
						AND (articulo.pendiente_envio_suscripcion = 1)
						UNION\n";
		$sentencia_sql.='SELECT "B", 0, articulo.fecha_alta, ';
		$sentencia_sql.="$campos
						FROM temasesca, temasarti, ((`articulo` LEFT JOIN traducarti ON articulo.codigo = traducarti.articulo)
						 LEFT JOIN familia ON articulo.familia = familia.codigo)
						WHERE (escaparate = $escaparate)
						AND (temasarti.tema = temasesca.tema)
						AND (temasarti.articulo = articulo.codigo)
						AND (articulo.no_web = 0)
						AND (articulo.pendiente_envio_suscripcion = 1)";
						
						$sentencia="SELECT COUNT( * ) FROM ($sentencia_sql) consulta";
						//echo $sentencia;
						$r = mysqli_query($conexionBD, $sentencia);
						$numero_articulos = mysqli_fetch_array($r);
						
						$sentencia_sql="";
						$sentencia_contar_subcritos="SELECT COUNT( * ) FROM (SELECT `codigo` FROM `suscrip_esca` WHERE `cescaparate`=$escaparate) consulta";
						$r_suscripciones = mysqli_query($conexionBD, $sentencia_contar_subcritos);
						$numero_suscritos = mysqli_fetch_array($r_suscripciones);
						if($numero_articulos[0] > 0 &&$numero_suscritos[0] > 0){
							echo '<li class="hijo si'.$class.'" id="'.$escaparate.'_'.$numero_articulos[0].'_'.$numero_suscritos[0].'">';
						}else{
							echo '<li class="hijo'.$class.'" id="'.$escaparate.'_'.$numero_articulos[0].'_'.$numero_suscritos[0].'">';
						}
?>
								<a href="javascript:void(0);"><?=$hijos['nombre'];?></a><span>(<?=$numero_articulos[0];?>/<?=$numero_suscritos[0];?>)</span>
							</li>
<?php
						}
					}
				}
?>
                </ul>
                </div>
                <div id="muestrario">
                	<h2 id="titulo_h2"> Libros a enviar </h2>
					<img class="loading" src="images/loading.gif" />
					<div id="lista_completa">
<?php
					$enlace = Shop::$configuracion->url . "admin/suscripciones.php/";
					include("comunes/cuadricula_articulos.php");
?>
					</div>
                </div>
				<script type="text/javascript" language="javascript1.5">
                    //Oculto la miniatura
                    $("#miniatura").hide();
                </script>
            </div> 
        </div><!-- /fin del cuerpo del articulo -->
    </body>
</html>
<?php
}
//include("post-pagina.php");
?>